PMERR(1)

NAME
pmerr - translate Performance Co-Pilot error codes into error messages

SYNOPSIS
pmerr [-?] code ...
pmerr -l

DESCRIPTION
pmerr accepts standard Performance Co-Pilot (PCP) error codes via the code argument(s) and generates the corresponding error text.

Each code may be an integer, a hexadecimal value or a hexadecimal value prefixed by either ``0x'' or ``0X''.

Error codes must be less than zero, so if code is a positive number, a warning message is produced, and the negated value is used.

OPTIONS
The available command line options are:

-l, --list
    This alternative invocation causes all known error codes to be listed, along with their symbolic names and error text.

-?, --help
    Display usage message and exit.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PMAPI(3), pmErrStr(3), pcp.conf(5) and pcp.env(5).